PUT /v1/organizations/{orgId}/caddie-memory/settings
Enable or disable Caddie's memory of the calling user in this organization. When disabled, Caddie stops recalling, learning, and storing facts about the user.
PUT
/v1/organizations/{orgId}/caddie-memory/settings
Enable or disable Caddie's memory of the calling user in this organization. When disabled, Caddie stops recalling, learning, and storing facts about the user.
Path Parameters
orgId
string
required
path
Organization ID
Request Body required
Toggle state
application/jsonOne of:
Option 1
Option 2
enabled
boolean
REQUIRED
Responses
200
OK
application/jsondata
object
enabled
boolean
400
Bad Request
503
Service Unavailable
curl -X PUT 'https://api.example.com/v1/organizations/string/caddie-memory/settings' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/caddie-memory/settings', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/organizations/string/caddie-memory/settings', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PUT", "https://api.example.com/v1/organizations/string/caddie-memory/settings", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "data": { "enabled": true }}
API Playground
Try this endpoint
PUT
/v1/organizations/{orgId}/caddie-memory/settings
